# Copyright 2019 the V8 project authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can
# be found in the LICENSE file.

# This file is automatically generated by mkgrokdump and should not
# be modified manually.

# List of known V8 instance types.
INSTANCE_TYPES = {
  0: "INTERNALIZED_STRING_TYPE",
  2: "EXTERNAL_INTERNALIZED_STRING_TYPE",
  8: "ONE_BYTE_INTERNALIZED_STRING_TYPE",
  10: "EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  18: "UNCACHED_EXTERNAL_INTERNALIZED_STRING_TYPE",
  26: "UNCACHED_EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  32: "STRING_TYPE",
  33: "CONS_STRING_TYPE",
  34: "EXTERNAL_STRING_TYPE",
  35: "SLICED_STRING_TYPE",
  37: "THIN_STRING_TYPE",
  40: "ONE_BYTE_STRING_TYPE",
  41: "CONS_ONE_BYTE_STRING_TYPE",
  42: "EXTERNAL_ONE_BYTE_STRING_TYPE",
  43: "SLICED_ONE_BYTE_STRING_TYPE",
  45: "THIN_ONE_BYTE_STRING_TYPE",
  50: "UNCACHED_EXTERNAL_STRING_TYPE",
  58: "UNCACHED_EXTERNAL_ONE_BYTE_STRING_TYPE",
  64: "SYMBOL_TYPE",
  65: "HEAP_NUMBER_TYPE",
  66: "BIGINT_TYPE",
  67: "ODDBALL_TYPE",
  68: "MAP_TYPE",
  69: "CODE_TYPE",
  70: "FOREIGN_TYPE",
  71: "BYTE_ARRAY_TYPE",
  72: "BYTECODE_ARRAY_TYPE",
  73: "FREE_SPACE_TYPE",
  74: "FIXED_DOUBLE_ARRAY_TYPE",
  75: "FEEDBACK_METADATA_TYPE",
  76: "FILLER_TYPE",
  77: "ACCESS_CHECK_INFO_TYPE",
  78: "ACCESSOR_INFO_TYPE",
  79: "ACCESSOR_PAIR_TYPE",
  80: "ALIASED_ARGUMENTS_ENTRY_TYPE",
  81: "ALLOCATION_MEMENTO_TYPE",
  82: "ARRAY_BOILERPLATE_DESCRIPTION_TYPE",
  83: "ASM_WASM_DATA_TYPE",
  84: "ASYNC_GENERATOR_REQUEST_TYPE",
  85: "CLASS_POSITIONS_TYPE",
  86: "DEBUG_INFO_TYPE",
  87: "ENUM_CACHE_TYPE",
  88: "FUNCTION_TEMPLATE_INFO_TYPE",
  89: "FUNCTION_TEMPLATE_RARE_DATA_TYPE",
  90: "INTERCEPTOR_INFO_TYPE",
  91: "INTERPRETER_DATA_TYPE",
  92: "OBJECT_TEMPLATE_INFO_TYPE",
  93: "PROMISE_CAPABILITY_TYPE",
  94: "PROMISE_REACTION_TYPE",
  95: "PROTOTYPE_INFO_TYPE",
  96: "SCRIPT_TYPE",
  97: "SOURCE_POSITION_TABLE_WITH_FRAME_CACHE_TYPE",
  98: "SOURCE_TEXT_MODULE_INFO_ENTRY_TYPE",
  99: "STACK_FRAME_INFO_TYPE",
  100: "STACK_TRACE_FRAME_TYPE",
  101: "TEMPLATE_OBJECT_DESCRIPTION_TYPE",
  102: "TUPLE2_TYPE",
  103: "TUPLE3_TYPE",
  104: "WASM_CAPI_FUNCTION_DATA_TYPE",
  105: "WASM_DEBUG_INFO_TYPE",
  106: "WASM_EXCEPTION_TAG_TYPE",
  107: "WASM_EXPORTED_FUNCTION_DATA_TYPE",
  108: "WASM_INDIRECT_FUNCTION_TABLE_TYPE",
  109: "WASM_JS_FUNCTION_DATA_TYPE",
  110: "CALLABLE_TASK_TYPE",
  111: "CALLBACK_TASK_TYPE",
  112: "PROMISE_FULFILL_REACTION_JOB_TASK_TYPE",
  113: "PROMISE_REJECT_REACTION_JOB_TASK_TYPE",
  114: "PROMISE_RESOLVE_THENABLE_JOB_TASK_TYPE",
  115: "INTERNAL_CLASS_TYPE",
  116: "SMI_PAIR_TYPE",
  117: "SMI_BOX_TYPE",
  118: "SORT_STATE_TYPE",
  119: "SOURCE_TEXT_MODULE_TYPE",
  120: "SYNTHETIC_MODULE_TYPE",
  121: "ALLOCATION_SITE_TYPE",
  122: "EMBEDDER_DATA_ARRAY_TYPE",
  123: "FIXED_ARRAY_TYPE",
  124: "OBJECT_BOILERPLATE_DESCRIPTION_TYPE",
  125: "CLOSURE_FEEDBACK_CELL_ARRAY_TYPE",
  126: "HASH_TABLE_TYPE",
  127: "ORDERED_HASH_MAP_TYPE",
  128: "ORDERED_HASH_SET_TYPE",
  129: "ORDERED_NAME_DICTIONARY_TYPE",
  130: "NAME_DICTIONARY_TYPE",
  131: "GLOBAL_DICTIONARY_TYPE",
  132: "NUMBER_DICTIONARY_TYPE",
  133: "SIMPLE_NUMBER_DICTIONARY_TYPE",
  134: "STRING_TABLE_TYPE",
  135: "EPHEMERON_HASH_TABLE_TYPE",
  136: "SCOPE_INFO_TYPE",
  137: "SCRIPT_CONTEXT_TABLE_TYPE",
  138: "AWAIT_CONTEXT_TYPE",
  139: "BLOCK_CONTEXT_TYPE",
  140: "CATCH_CONTEXT_TYPE",
  141: "DEBUG_EVALUATE_CONTEXT_TYPE",
  142: "EVAL_CONTEXT_TYPE",
  143: "FUNCTION_CONTEXT_TYPE",
  144: "MODULE_CONTEXT_TYPE",
  145: "NATIVE_CONTEXT_TYPE",
  146: "SCRIPT_CONTEXT_TYPE",
  147: "WITH_CONTEXT_TYPE",
  148: "WEAK_FIXED_ARRAY_TYPE",
  149: "TRANSITION_ARRAY_TYPE",
  150: "CALL_HANDLER_INFO_TYPE",
  151: "CELL_TYPE",
  152: "CODE_DATA_CONTAINER_TYPE",
  153: "DESCRIPTOR_ARRAY_TYPE",
  154: "FEEDBACK_CELL_TYPE",
  155: "FEEDBACK_VECTOR_TYPE",
  156: "LOAD_HANDLER_TYPE",
  157: "PREPARSE_DATA_TYPE",
  158: "PROPERTY_ARRAY_TYPE",
  159: "PROPERTY_CELL_TYPE",
  160: "SHARED_FUNCTION_INFO_TYPE",
  161: "SMALL_ORDERED_HASH_MAP_TYPE",
  162: "SMALL_ORDERED_HASH_SET_TYPE",
  163: "SMALL_ORDERED_NAME_DICTIONARY_TYPE",
  164: "STORE_HANDLER_TYPE",
  165: "UNCOMPILED_DATA_WITHOUT_PREPARSE_DATA_TYPE",
  166: "UNCOMPILED_DATA_WITH_PREPARSE_DATA_TYPE",
  167: "WEAK_ARRAY_LIST_TYPE",
  168: "WEAK_CELL_TYPE",
  1024: "JS_PROXY_TYPE",
  1025: "JS_GLOBAL_OBJECT_TYPE",
  1026: "JS_GLOBAL_PROXY_TYPE",
  1027: "JS_MODULE_NAMESPACE_TYPE",
  1040: "JS_SPECIAL_API_OBJECT_TYPE",
  1041: "JS_PRIMITIVE_WRAPPER_TYPE",
  1056: "JS_API_OBJECT_TYPE",
  1057: "JS_OBJECT_TYPE",
  1058: "JS_ARGUMENTS_TYPE",
  1059: "JS_ARRAY_BUFFER_TYPE",
  1060: "JS_ARRAY_ITERATOR_TYPE",
  1061: "JS_ARRAY_TYPE",
  1062: "JS_ASYNC_FROM_SYNC_ITERATOR_TYPE",
  1063: "JS_ASYNC_FUNCTION_OBJECT_TYPE",
  1064: "JS_ASYNC_GENERATOR_OBJECT_TYPE",
  1065: "JS_CONTEXT_EXTENSION_OBJECT_TYPE",
  1066: "JS_DATE_TYPE",
  1067: "JS_ERROR_TYPE",
  1068: "JS_GENERATOR_OBJECT_TYPE",
  1069: "JS_MAP_TYPE",
  1070: "JS_MAP_KEY_ITERATOR_TYPE",
  1071: "JS_MAP_KEY_VALUE_ITERATOR_TYPE",
  1072: "JS_MAP_VALUE_ITERATOR_TYPE",
  1073: "JS_MESSAGE_OBJECT_TYPE",
  1074: "JS_PROMISE_TYPE",
  1075: "JS_REGEXP_TYPE",
  1076: "JS_REGEXP_STRING_ITERATOR_TYPE",
  1077: "JS_SET_TYPE",
  1078: "JS_SET_KEY_VALUE_ITERATOR_TYPE",
  1079: "JS_SET_VALUE_ITERATOR_TYPE",
  1080: "JS_STRING_ITERATOR_TYPE",
  1081: "JS_WEAK_REF_TYPE",
  1082: "JS_FINALIZATION_GROUP_CLEANUP_ITERATOR_TYPE",
  1083: "JS_FINALIZATION_GROUP_TYPE",
  1084: "JS_WEAK_MAP_TYPE",
  1085: "JS_WEAK_SET_TYPE",
  1086: "JS_TYPED_ARRAY_TYPE",
  1087: "JS_DATA_VIEW_TYPE",
  1088: "JS_INTL_V8_BREAK_ITERATOR_TYPE",
  1089: "JS_INTL_COLLATOR_TYPE",
  1090: "JS_INTL_DATE_TIME_FORMAT_TYPE",
  1091: "JS_INTL_LIST_FORMAT_TYPE",
  1092: "JS_INTL_LOCALE_TYPE",
  1093: "JS_INTL_NUMBER_FORMAT_TYPE",
  1094: "JS_INTL_PLURAL_RULES_TYPE",
  1095: "JS_INTL_RELATIVE_TIME_FORMAT_TYPE",
  1096: "JS_INTL_SEGMENT_ITERATOR_TYPE",
  1097: "JS_INTL_SEGMENTER_TYPE",
  1098: "WASM_EXCEPTION_TYPE",
  1099: "WASM_GLOBAL_TYPE",
  1100: "WASM_INSTANCE_TYPE",
  1101: "WASM_MEMORY_TYPE",
  1102: "WASM_MODULE_TYPE",
  1103: "WASM_TABLE_TYPE",
  1104: "JS_BOUND_FUNCTION_TYPE",
  1105: "JS_FUNCTION_TYPE",
}

# List of known V8 maps.
KNOWN_MAPS = {
  ("read_only_space", 0x00119): (73, "FreeSpaceMap"),
  ("read_only_space", 0x00169): (68, "MetaMap"),
  ("read_only_space", 0x001e9): (67, "NullMap"),
  ("read_only_space", 0x00251): (153, "DescriptorArrayMap"),
  ("read_only_space", 0x002b1): (148, "WeakFixedArrayMap"),
  ("read_only_space", 0x00301): (76, "OnePointerFillerMap"),
  ("read_only_space", 0x00351): (76, "TwoPointerFillerMap"),
  ("read_only_space", 0x003d1): (67, "UninitializedMap"),
  ("read_only_space", 0x00441): (8, "OneByteInternalizedStringMap"),
  ("read_only_space", 0x004e1): (67, "UndefinedMap"),
  ("read_only_space", 0x00541): (65, "HeapNumberMap"),
  ("read_only_space", 0x005c1): (67, "TheHoleMap"),
  ("read_only_space", 0x00669): (67, "BooleanMap"),
  ("read_only_space", 0x00741): (71, "ByteArrayMap"),
  ("read_only_space", 0x00791): (123, "FixedArrayMap"),
  ("read_only_space", 0x007e1): (123, "FixedCOWArrayMap"),
  ("read_only_space", 0x00831): (126, "HashTableMap"),
  ("read_only_space", 0x00881): (64, "SymbolMap"),
  ("read_only_space", 0x008d1): (40, "OneByteStringMap"),
  ("read_only_space", 0x00921): (136, "ScopeInfoMap"),
  ("read_only_space", 0x00971): (160, "SharedFunctionInfoMap"),
  ("read_only_space", 0x009c1): (69, "CodeMap"),
  ("read_only_space", 0x00a11): (143, "FunctionContextMap"),
  ("read_only_space", 0x00a61): (151, "CellMap"),
  ("read_only_space", 0x00ab1): (159, "GlobalPropertyCellMap"),
  ("read_only_space", 0x00b01): (70, "ForeignMap"),
  ("read_only_space", 0x00b51): (149, "TransitionArrayMap"),
  ("read_only_space", 0x00ba1): (155, "FeedbackVectorMap"),
  ("read_only_space", 0x00c41): (67, "ArgumentsMarkerMap"),
  ("read_only_space", 0x00ce1): (67, "ExceptionMap"),
  ("read_only_space", 0x00d81): (67, "TerminationExceptionMap"),
  ("read_only_space", 0x00e29): (67, "OptimizedOutMap"),
  ("read_only_space", 0x00ec9): (67, "StaleRegisterMap"),
  ("read_only_space", 0x00f39): (145, "NativeContextMap"),
  ("read_only_space", 0x00f89): (144, "ModuleContextMap"),
  ("read_only_space", 0x00fd9): (142, "EvalContextMap"),
  ("read_only_space", 0x01029): (146, "ScriptContextMap"),
  ("read_only_space", 0x01079): (138, "AwaitContextMap"),
  ("read_only_space", 0x010c9): (139, "BlockContextMap"),
  ("read_only_space", 0x01119): (140, "CatchContextMap"),
  ("read_only_space", 0x01169): (147, "WithContextMap"),
  ("read_only_space", 0x011b9): (141, "DebugEvaluateContextMap"),
  ("read_only_space", 0x01209): (137, "ScriptContextTableMap"),
  ("read_only_space", 0x01259): (125, "ClosureFeedbackCellArrayMap"),
  ("read_only_space", 0x012a9): (75, "FeedbackMetadataArrayMap"),
  ("read_only_space", 0x012f9): (123, "ArrayListMap"),
  ("read_only_space", 0x01349): (66, "BigIntMap"),
  ("read_only_space", 0x01399): (124, "ObjectBoilerplateDescriptionMap"),
  ("read_only_space", 0x013e9): (72, "BytecodeArrayMap"),
  ("read_only_space", 0x01439): (152, "CodeDataContainerMap"),
  ("read_only_space", 0x01489): (74, "FixedDoubleArrayMap"),
  ("read_only_space", 0x014d9): (131, "GlobalDictionaryMap"),
  ("read_only_space", 0x01529): (154, "ManyClosuresCellMap"),
  ("read_only_space", 0x01579): (123, "ModuleInfoMap"),
  ("read_only_space", 0x015c9): (130, "NameDictionaryMap"),
  ("read_only_space", 0x01619): (154, "NoClosuresCellMap"),
  ("read_only_space", 0x01669): (132, "NumberDictionaryMap"),
  ("read_only_space", 0x016b9): (154, "OneClosureCellMap"),
  ("read_only_space", 0x01709): (127, "OrderedHashMapMap"),
  ("read_only_space", 0x01759): (128, "OrderedHashSetMap"),
  ("read_only_space", 0x017a9): (129, "OrderedNameDictionaryMap"),
  ("read_only_space", 0x017f9): (157, "PreparseDataMap"),
  ("read_only_space", 0x01849): (158, "PropertyArrayMap"),
  ("read_only_space", 0x01899): (150, "SideEffectCallHandlerInfoMap"),
  ("read_only_space", 0x018e9): (150, "SideEffectFreeCallHandlerInfoMap"),
  ("read_only_space", 0x01939): (150, "NextCallSideEffectFreeCallHandlerInfoMap"),
  ("read_only_space", 0x01989): (133, "SimpleNumberDictionaryMap"),
  ("read_only_space", 0x019d9): (123, "SloppyArgumentsElementsMap"),
  ("read_only_space", 0x01a29): (161, "SmallOrderedHashMapMap"),
  ("read_only_space", 0x01a79): (162, "SmallOrderedHashSetMap"),
  ("read_only_space", 0x01ac9): (163, "SmallOrderedNameDictionaryMap"),
  ("read_only_space", 0x01b19): (119, "SourceTextModuleMap"),
  ("read_only_space", 0x01b69): (134, "StringTableMap"),
  ("read_only_space", 0x01bb9): (120, "SyntheticModuleMap"),
  ("read_only_space", 0x01c09): (165, "UncompiledDataWithoutPreparseDataMap"),
  ("read_only_space", 0x01c59): (166, "UncompiledDataWithPreparseDataMap"),
  ("read_only_space", 0x01ca9): (167, "WeakArrayListMap"),
  ("read_only_space", 0x01cf9): (135, "EphemeronHashTableMap"),
  ("read_only_space", 0x01d49): (122, "EmbedderDataArrayMap"),
  ("read_only_space", 0x01d99): (168, "WeakCellMap"),
  ("read_only_space", 0x01de9): (58, "NativeSourceStringMap"),
  ("read_only_space", 0x01e39): (32, "StringMap"),
  ("read_only_space", 0x01e89): (41, "ConsOneByteStringMap"),
  ("read_only_space", 0x01ed9): (33, "ConsStringMap"),
  ("read_only_space", 0x01f29): (45, "ThinOneByteStringMap"),
  ("read_only_space", 0x01f79): (37, "ThinStringMap"),
  ("read_only_space", 0x01fc9): (35, "SlicedStringMap"),
  ("read_only_space", 0x02019): (43, "SlicedOneByteStringMap"),
  ("read_only_space", 0x02069): (34, "ExternalStringMap"),
  ("read_only_space", 0x020b9): (42, "ExternalOneByteStringMap"),
  ("read_only_space", 0x02109): (50, "UncachedExternalStringMap"),
  ("read_only_space", 0x02159): (0, "InternalizedStringMap"),
  ("read_only_space", 0x021a9): (2, "ExternalInternalizedStringMap"),
  ("read_only_space", 0x021f9): (10, "ExternalOneByteInternalizedStringMap"),
  ("read_only_space", 0x02249): (18, "UncachedExternalInternalizedStringMap"),
  ("read_only_space", 0x02299): (26, "UncachedExternalOneByteInternalizedStringMap"),
  ("read_only_space", 0x022e9): (58, "UncachedExternalOneByteStringMap"),
  ("read_only_space", 0x02339): (67, "SelfReferenceMarkerMap"),
  ("read_only_space", 0x023a1): (87, "EnumCacheMap"),
  ("read_only_space", 0x02441): (82, "ArrayBoilerplateDescriptionMap"),
  ("read_only_space", 0x02631): (90, "InterceptorInfoMap"),
  ("read_only_space", 0x04eb1): (77, "AccessCheckInfoMap"),
  ("read_only_space", 0x04f01): (78, "AccessorInfoMap"),
  ("read_only_space", 0x04f51): (79, "AccessorPairMap"),
  ("read_only_space", 0x04fa1): (80, "AliasedArgumentsEntryMap"),
  ("read_only_space", 0x04ff1): (81, "AllocationMementoMap"),
  ("read_only_space", 0x05041): (83, "AsmWasmDataMap"),
  ("read_only_space", 0x05091): (84, "AsyncGeneratorRequestMap"),
  ("read_only_space", 0x050e1): (85, "ClassPositionsMap"),
  ("read_only_space", 0x05131): (86, "DebugInfoMap"),
  ("read_only_space", 0x05181): (88, "FunctionTemplateInfoMap"),
  ("read_only_space", 0x051d1): (89, "FunctionTemplateRareDataMap"),
  ("read_only_space", 0x05221): (91, "InterpreterDataMap"),
  ("read_only_space", 0x05271): (92, "ObjectTemplateInfoMap"),
  ("read_only_space", 0x052c1): (93, "PromiseCapabilityMap"),
  ("read_only_space", 0x05311): (94, "PromiseReactionMap"),
  ("read_only_space", 0x05361): (95, "PrototypeInfoMap"),
  ("read_only_space", 0x053b1): (96, "ScriptMap"),
  ("read_only_space", 0x05401): (97, "SourcePositionTableWithFrameCacheMap"),
  ("read_only_space", 0x05451): (98, "SourceTextModuleInfoEntryMap"),
  ("read_only_space", 0x054a1): (99, "StackFrameInfoMap"),
  ("read_only_space", 0x054f1): (100, "StackTraceFrameMap"),
  ("read_only_space", 0x05541): (101, "TemplateObjectDescriptionMap"),
  ("read_only_space", 0x05591): (102, "Tuple2Map"),
  ("read_only_space", 0x055e1): (103, "Tuple3Map"),
  ("read_only_space", 0x05631): (104, "WasmCapiFunctionDataMap"),
  ("read_only_space", 0x05681): (105, "WasmDebugInfoMap"),
  ("read_only_space", 0x056d1): (106, "WasmExceptionTagMap"),
  ("read_only_space", 0x05721): (107, "WasmExportedFunctionDataMap"),
  ("read_only_space", 0x05771): (108, "WasmIndirectFunctionTableMap"),
  ("read_only_space", 0x057c1): (109, "WasmJSFunctionDataMap"),
  ("read_only_space", 0x05811): (110, "CallableTaskMap"),
  ("read_only_space", 0x05861): (111, "CallbackTaskMap"),
  ("read_only_space", 0x058b1): (112, "PromiseFulfillReactionJobTaskMap"),
  ("read_only_space", 0x05901): (113, "PromiseRejectReactionJobTaskMap"),
  ("read_only_space", 0x05951): (114, "PromiseResolveThenableJobTaskMap"),
  ("read_only_space", 0x059a1): (115, "InternalClassMap"),
  ("read_only_space", 0x059f1): (116, "SmiPairMap"),
  ("read_only_space", 0x05a41): (117, "SmiBoxMap"),
  ("read_only_space", 0x05a91): (118, "SortStateMap"),
  ("read_only_space", 0x05ae1): (121, "AllocationSiteWithWeakNextMap"),
  ("read_only_space", 0x05b31): (121, "AllocationSiteWithoutWeakNextMap"),
  ("read_only_space", 0x05b81): (156, "LoadHandler1Map"),
  ("read_only_space", 0x05bd1): (156, "LoadHandler2Map"),
  ("read_only_space", 0x05c21): (156, "LoadHandler3Map"),
  ("read_only_space", 0x05c71): (164, "StoreHandler0Map"),
  ("read_only_space", 0x05cc1): (164, "StoreHandler1Map"),
  ("read_only_space", 0x05d11): (164, "StoreHandler2Map"),
  ("read_only_space", 0x05d61): (164, "StoreHandler3Map"),
  ("map_space", 0x00119): (1057, "ExternalMap"),
  ("map_space", 0x00169): (1073, "JSMessageObjectMap"),
}

# List of known V8 objects.
KNOWN_OBJECTS = {
  ("read_only_space", 0x001b9): "NullValue",
  ("read_only_space", 0x00239): "EmptyDescriptorArray",
  ("read_only_space", 0x002a1): "EmptyWeakFixedArray",
  ("read_only_space", 0x003a1): "UninitializedValue",
  ("read_only_space", 0x004b1): "UndefinedValue",
  ("read_only_space", 0x00531): "NanValue",
  ("read_only_space", 0x00591): "TheHoleValue",
  ("read_only_space", 0x00629): "HoleNanValue",
  ("read_only_space", 0x00639): "TrueValue",
  ("read_only_space", 0x006e9): "FalseValue",
  ("read_only_space", 0x00731): "empty_string",
  ("read_only_space", 0x00bf1): "EmptyScopeInfo",
  ("read_only_space", 0x00c01): "EmptyFixedArray",
  ("read_only_space", 0x00c11): "ArgumentsMarker",
  ("read_only_space", 0x00cb1): "Exception",
  ("read_only_space", 0x00d51): "TerminationException",
  ("read_only_space", 0x00df9): "OptimizedOut",
  ("read_only_space", 0x00e99): "StaleRegister",
  ("read_only_space", 0x02389): "EmptyEnumCache",
  ("read_only_space", 0x023f1): "EmptyPropertyArray",
  ("read_only_space", 0x02401): "EmptyByteArray",
  ("read_only_space", 0x02411): "EmptyObjectBoilerplateDescription",
  ("read_only_space", 0x02429): "EmptyArrayBoilerplateDescription",
  ("read_only_space", 0x02491): "EmptyClosureFeedbackCellArray",
  ("read_only_space", 0x024a1): "EmptySloppyArgumentsElements",
  ("read_only_space", 0x024c1): "EmptySlowElementDictionary",
  ("read_only_space", 0x02509): "EmptyOrderedHashMap",
  ("read_only_space", 0x02531): "EmptyOrderedHashSet",
  ("read_only_space", 0x02559): "EmptyFeedbackMetadata",
  ("read_only_space", 0x02569): "EmptyPropertyCell",
  ("read_only_space", 0x02591): "EmptyPropertyDictionary",
  ("read_only_space", 0x025e1): "NoOpInterceptorInfo",
  ("read_only_space", 0x02681): "EmptyWeakArrayList",
  ("read_only_space", 0x02699): "InfinityValue",
  ("read_only_space", 0x026a9): "MinusZeroValue",
  ("read_only_space", 0x026b9): "MinusInfinityValue",
  ("read_only_space", 0x026c9): "SelfReferenceMarker",
  ("read_only_space", 0x02721): "OffHeapTrampolineRelocationInfo",
  ("read_only_space", 0x02739): "TrampolineTrivialCodeDataContainer",
  ("read_only_space", 0x02751): "TrampolinePromiseRejectionCodeDataContainer",
  ("read_only_space", 0x02769): "GlobalThisBindingScopeInfo",
  ("read_only_space", 0x027d1): "EmptyFunctionScopeInfo",
  ("read_only_space", 0x02821): "HashSeed",
  ("old_space", 0x00119): "ArgumentsIteratorAccessor",
  ("old_space", 0x00189): "ArrayLengthAccessor",
  ("old_space", 0x001f9): "BoundFunctionLengthAccessor",
  ("old_space", 0x00269): "BoundFunctionNameAccessor",
  ("old_space", 0x002d9): "ErrorStackAccessor",
  ("old_space", 0x00349): "FunctionArgumentsAccessor",
  ("old_space", 0x003b9): "FunctionCallerAccessor",
  ("old_space", 0x00429): "FunctionNameAccessor",
  ("old_space", 0x00499): "FunctionLengthAccessor",
  ("old_space", 0x00509): "FunctionPrototypeAccessor",
  ("old_space", 0x00579): "StringLengthAccessor",
  ("old_space", 0x005e9): "InvalidPrototypeValidityCell",
  ("old_space", 0x005f9): "EmptyScript",
  ("old_space", 0x00679): "ManyClosuresCell",
  ("old_space", 0x00691): "ArrayConstructorProtector",
  ("old_space", 0x006a1): "NoElementsProtector",
  ("old_space", 0x006c9): "IsConcatSpreadableProtector",
  ("old_space", 0x006d9): "ArraySpeciesProtector",
  ("old_space", 0x00701): "TypedArraySpeciesProtector",
  ("old_space", 0x00729): "PromiseSpeciesProtector",
  ("old_space", 0x00751): "StringLengthProtector",
  ("old_space", 0x00761): "ArrayIteratorProtector",
  ("old_space", 0x00789): "ArrayBufferDetachingProtector",
  ("old_space", 0x007b1): "PromiseHookProtector",
  ("old_space", 0x007d9): "PromiseResolveProtector",
  ("old_space", 0x007e9): "MapIteratorProtector",
  ("old_space", 0x00811): "PromiseThenProtector",
  ("old_space", 0x00839): "SetIteratorProtector",
  ("old_space", 0x00861): "StringIteratorProtector",
  ("old_space", 0x00889): "SingleCharacterStringCache",
  ("old_space", 0x01099): "StringSplitCache",
  ("old_space", 0x018a9): "RegExpMultipleCache",
  ("old_space", 0x020b9): "BuiltinsConstantsTable",
}

# List of known V8 Frame Markers.
FRAME_MARKERS = (
  "ENTRY",
  "CONSTRUCT_ENTRY",
  "EXIT",
  "OPTIMIZED",
  "WASM_COMPILED",
  "WASM_TO_JS",
  "JS_TO_WASM",
  "WASM_INTERPRETER_ENTRY",
  "C_WASM_ENTRY",
  "WASM_EXIT",
  "WASM_COMPILE_LAZY",
  "INTERPRETED",
  "STUB",
  "BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION_WITH_CATCH",
  "INTERNAL",
  "CONSTRUCT",
  "ARGUMENTS_ADAPTOR",
  "BUILTIN",
  "BUILTIN_EXIT",
  "NATIVE",
)

# This set of constants is generated from a shipping build.
